/* --------------------------------
	共通スタイル
-------------------------------- */
@font-face {
    font-family: 'ヒラギノ角ゴ Std W6';
    src: local('HiraKakuStd-W6'), local('ヒラギノ角ゴ Std W6');
    font-weight: 600;
    font-style: normal;
}

* {
margin: 0;
padding: 0;
box-sizing: border-box;
font-family: 'Oswald', sans-serif;
}
  
body {
font-family: 'ヒラギノ角ゴ Std W6', 'Hiragino Kaku Gothic Std W6', sans-serif;
background-color: #fff;
color: #333;
line-height: 1.6;
}

/* --------------------------------
    背景
-------------------------------- */

/* 背景画像グリッド */
.background-grid {
position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
z-index: 0;
overflow: hidden;
pointer-events: none;
display: flex;
flex-wrap: wrap;
justify-content: center;
align-items: flex-start;
max-width: 1400px;
margin: 0 auto;
left: 50%;
transform: translateX(-50%);
}

.background-grid .grid-item {
width: 25%; /* SPでは4列 */
padding-bottom: 25%; /* アスペクト比を1:1に保つ */
position: relative;
}

.background-grid img {
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
object-fit: cover;
display: block;
}

/* 背景オーバーレイ */
.background-overlay {
position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
z-index: 0.1;
opacity: 0.8;
transition: background-color 0.1s ease;
max-width: 1400px;
margin: 0 auto;
left: 50%;
transform: translateX(-50%);
}

.topics-top-theme {
background-color: #ffc155d4;
}

/* --------------------------------
    movieセクション
-------------------------------- */

.movie-title{
    -webkit-text-fill-color: #fff;
    text-shadow: 2px 2px 3px rgba(0, 0, 0, 0.6);
}

.movie-label {
    font-weight: bold;
    -webkit-text-fill-color: #fff;
    text-shadow: 2px 2px 3px rgba(0, 0, 0, 0.6);
}

/* --------------------------------
    TOPICSセクション
-------------------------------- */

.topics-wrapper{
    margin:0 6vw;
    margin-top: 0;
    position: relative;
    z-index: 2;
}

.topics-title{
    padding:50px 0 30px;
}
.topics-title h1{
    font-size: 70px;
    line-height: 90px;
    color: #fff;
}

.topics-body{
    background-color: #fff;
    border-radius: 10px;
    padding:40px 20px;
}

/* ------　TOPICS BODY　------ */


.pc-only{
    display: none;
}

.tb-style{
    display: none;
}

.topics-top h2{
    font-size: 24px;
    color: #ffa600;
}

.topics-top h3{
    display: block;
    background-color: #ffa600;
    color: #fff;
    text-align: center;
    margin-top: 5px;
    border-radius: 8px;
    font-size: 15px;
    padding: 8px 0;
}

.topics-main-img img{
    margin-top: 30px;
}

.topics-section{
    margin: 40px 0;
}

.topics-section h4{
    font-size: 16px;
    margin-bottom: 10px;
}

.topics-section p{
    font-size: 14px;
}

.bold {
    font-weight: bold;
}

.topics-section > .topics-images:first-of-type {
    margin-top: 20px;
}

.topics-image-item,
.topics-images > .main-image-wrapper,
.topics-images > .sub-images-wrapper {
    width: 100% !important;
}

.topics-image-item img,
.topics-images > .main-image-wrapper img,
.topics-images > .sub-images-wrapper img {
    display: block;
    width: 100% !important;
    object-fit: cover;
    margin-bottom: 10px;
}

/* セクション内で連続する画像の、最後の画像*/
.topics-section img.last-image {
    margin-bottom: 0;
}

.topics-section .topics-caption{
    font-size: 12px;
    font-weight: bold;
    text-align: center;
    margin: 10px 0;
}

.btn {
    display: block;
    width: 180px;
    padding: 6px 0px;
    border: 2px solid #ffa600;
    border-radius: 30px;
    font-size: 16px;
    font-weight: bold;
    color:#ffa600;
    background-color: #fff;
    text-align: center;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    margin: 30px auto 0; 
}

.btn:hover {
    background-color: #ffa600;
    color: #fff; 
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0,0,0,0.3);
}


/* --------------------------------
ヘッダー
-------------------------------- */

header {
background-color: #fff;
box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
position: fixed;
width: 100%;
top: 0;
z-index: 1000;
}

.header-container {
display: flex;
justify-content: space-between;
align-items: center;
padding: 10px 20px;
max-width: 1200px;
margin: 0 auto;
}

.logo img {
height: 40px;
}

.overlay {
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgba(255, 204, 0, 0.7);
z-index: 1;
}


.subtitle {
font-size: 18px;
margin-bottom: 40px;
position: relative;
z-index: 2;
}

.intro-box {
background-color: rgba(51, 51, 51, 0.8);
color: white;
padding: 20px 40px;
border-radius: 5px;
max-width: 800px;
margin: 0 auto;
position: relative;
z-index: 2;
}

.intro-box p {
margin: 10px 0;
text-align: center;
}

/* コンテンツ */
.content {
max-width: 1200px;
margin: 40px auto;
padding: 0 20px;
}

.feature-row {
display: flex;
gap: 20px;
margin-bottom: 30px;
flex-direction: column;
}

.three-columns .feature-box {
flex: 1;
}

.two-columns .feature-box {
flex: 1;
}

.feature-box {
background-color: #fff;
border-radius: 10px;
padding: 25px;
box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
position: relative;
}

.feature-wide {
background-color: #fff;
border-radius: 10px;
padding: 25px;
box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
margin-bottom: 30px;
position: relative;
}

.feature-content {
display: flex;
gap: 20px;
flex-direction: column;
}

.feature-column {
flex: 1;
}

ul {
list-style-type: none;
margin-left: 5px;
}
li {
font-size: 14px;
letter-spacing: 0.7px;
}


.highlight {
font-weight: bold;
font-size: 16px;
}

.section-title {
text-align: center;
margin: 50px 0 30px;
}

.section-title h1 {
font-size: 36px;
color: #333;
position: relative;
display: inline-block;
}

.section-title h1:after {
content: '';
position: absolute;
bottom: -10px;
left: 0;
width: 100%;
height: 3px;
background-color: #ff9900;
}

/* フッター */
footer {
background-color: #333;
color: #fff;
text-align: center;
padding: 20px;
}

footer p {
font-size: 14px;
}

/* --------------------------------
	タブレット向けスタイル
-------------------------------- */

@media screen and (min-width: 768px) and (max-width: 1023px) {
    .background-grid .grid-item {
      width: 16.666%; /* タブレットでは6列 */
      padding-bottom: 16.666%;
    }

     /* ------　TOPICSセクション　------ */

     .topics-title{
        padding-bottom:50px;
    }
    .topics-title h1{
        font-size: 120px;
        line-height: 150px;
    }

    .topics-body{
        border-radius: 15px;
        padding:40px 60px;
    }
    

    /* ------　TOPICS BODY　------ */

    .tb-style{
        display: block;
    }

    .sp-only{
        display: none;
    }

    .topics-top h2{
        font-size: 42px;
    }
    
    .topics-top h3{
        margin-top: 10px;
        font-size:22px;
        padding: 10px 0;
    }
    
    .topics-main-img img{
        display: block;
        width: 100%;
        margin: 40px auto 0;
    }
    
    .topics-section{
        margin: 60px 0;
    }
    
    .topics-section h4{
        font-size: 17px;
        margin-bottom: 10px;
    }
    
    .topics-section p{
        font-size: 15px;
    }

    .topics-section > .topics-images:first-of-type {
        margin-top: 30px;
    }

    .topics-image-item img,
    .topics-images > .main-image-wrapper img,
    .topics-images > .sub-images-wrapper img {
        margin-bottom: 15px;
    }
    
    .topics-section .topics-caption{
        font-size: 15px;
        margin: 15px 0;
    }

    .topics-image-item,
    .topics-images > .main-image-wrapper,
    .topics-images > .sub-images-wrapper {
        width: 100% !important;
    }

    .topics-image-item img,
    .topics-images > .main-image-wrapper img,
    .topics-images > .sub-images-wrapper img {
        display: block;
        width: 100% !important;
        object-fit: cover;
    }

    .btn {
        width: 220px;
        padding: 10px 0px;
        font-size: 17px;
        margin: 40px auto 0;
    }
}

/* --------------------------------
	PC向けスタイル
-------------------------------- */

@media screen and (min-width: 1024px) {

    .background-grid .grid-item {
      width: 12.5%; /* PCでは8列 */
      padding-bottom: 12.5%;
    }

    /* ------　TOPICSセクション　------ */

    .topics-wrapper{
        margin:0 6.5vw;
        margin-top: 0;
        position: relative;
        z-index: 2;
    }

    .topics-title{
        padding-bottom:60px;
    }

    .topics-title h1{
        font-size: 170px;
        line-height: 200px;
    }

    .topics-body{
        border-radius: 20px;
        padding:60px 150px;
    }

    /* ------　TOPICS BODY　------ */

    .pc-only{
        display: block;
    }

    .sp-only{
        display: none;
    }

    .topics-top h2{
        font-size: 55px;
    }
    
    .topics-top h3{
        margin-top: 10px;
        border-radius: 12px;
        font-size: 28px;
        padding: 12px 0;
    }
    
    .topics-main-img img{
        display: block;
        width: 100%;
        margin: 60px auto 0;
    }
    
    .topics-section{
        margin: 80px 0;
    }
    
    .topics-section h4{
        font-size: 18px;
        margin-bottom: 15px;
    }
    
    .topics-section p{
        font-size: 16px;
    }

    .topics-section > .topics-images:first-of-type {
        margin-top: 40px;
    }

    .topics-image-item img,
    .topics-images > .main-image-wrapper img,
    .topics-images > .sub-images-wrapper img {
        margin-bottom: 0px;
    }
    
    .topics-section .topics-caption{
        font-size: 16px;
        font-weight: bold;
        margin:15px;
    }
    
    .btn {
        width: 250px;
        padding: 10px 0px;
        font-size: 18px;
        margin: 60px auto 0; 
    }

    .topics-image-item img,
    .topics-images > img {
        margin-bottom: 0px;
    }
    
    .topics-images {
        display: flex;
        gap: 20px;
        width: 100%;
        margin-bottom: 20px;
    }

    .topics-section > .topics-images:last-of-type {
        margin-bottom: 0px;
      }

    .one-col {
        display: block;
    }

    .two-col-landscape > .topics-image-item{
        width: 50%;
        height: 350px;
    }

    .two-col-vertical > .topics-image-item,
    .two-col-portrait > .topics-image-item{
        width: 50%;
        height: 600px;
    }

    .topics-image-item img,
    .left-big-landscape > .main-image-wrapper img,
    .left-big-landscape > .sub-images-wrapper img,
    .left-big-portrait > .main-image-wrapper img,
    .left-big-portrait > .sub-images-wrapper img{
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .left-big-landscape{
        height: 400px;
    }

    .left-big-landscape > .main-image-wrapper img{
        height: 400px;
        object-fit: cover;
    }

    .left-big-landscape > .main-image-wrapper{
        width: 65%;
    }

    .left-big-landscape > .sub-images-wrapper{
        display: flex;
        flex-direction: column;
        gap: 20px;
        width: 35%;
    }

    .left-big-landscape > .sub-images-wrapper > img{
        height: calc(50% - 10px);
        object-fit: cover;
    }

    
    .left-big-vertical,
    .left-big-portrait{
        height: 600px;
    }

    .left-big-vertical > .main-image-wrapper,
    .left-big-portrait > .main-image-wrapper{
        width: 50%;
    }

    .left-big-vertical > .main-image-wrapper img,
    .left-big-portrait > .main-image-wrapper img{
        height: 600px;
        object-fit: cover;
    }

    .left-big-vertical > .sub-images-wrapper,
    .left-big-portrait > .sub-images-wrapper{
        display: flex;
        flex-direction: column;
        gap: 20px;
        width: 50%;
    }

    .left-big-vertical > .sub-images-wrapper > img,
    .left-big-portrait > .sub-images-wrapper > img{
        height: calc(50% - 10px);
        object-fit: cover;
    }

}
